Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Interface PlanStats

All Known Implementing Classes:
  SlipStats

    public interface PlanStats

Statistics provided by a planning algorithm after it has been asked to plan or replan.

See Also:
  `Planner`

Method Summary
`void` | `addStats(PlanStats stats)` Increments, or otherwise modifies, the values in this object using values from the specified PlanStats object.
`void` | `recordStat(java.lang.String key, java.lang.Object value)` Records a statistic.
`void` | `report(java.io.PrintStream out)` Prints a plain text description of the statistics and their values.

Method Detail

### recordStat

    void recordStat(java.lang.String key,
                    java.lang.Object value)

  Records a statistic. The value is typically an Integer. There is no requirement that planners record all statistics using this method; it is public primarily so that things that use a planner can add some statistics of their own.

### addStats

    void addStats(PlanStats stats)

  Increments, or otherwise modifies, the values in this object using values from the specified PlanStats object. A typical use is to keep running totals, and it is required that PlanStats objects returned from the same planner can be used in that way.

  The two PlanStats objects involved when this method is called normally have to agree about value classes. Different statistics may have different value classes. Classes that implement PlanStats are free to combine the values in any way they want, and for a numeric statistic, the combined value does not have to be a straight sum.

### report

    void report(java.io.PrintStream out)

  Prints a plain text description of the statistics and their values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD